version: '2'

services:
  ipfs:
    build: ./ipfs
    hostname: ipfs
    container_name: ipfs
    restart: always
    entrypoint:
      - ipfs
      - daemon
    volumes:
      - ./ipfs/ipfs:/home/node/.ipfs
    expose:
      - 5001
      - 8080
      - 8081
    ports:
      - "4001:4001/tcp"
    networks:
      mynet:
        ipv4_address: 172.5.0.101

#  ipfs-cluster:
#    build: ./ipfs-cluster
#    hostname: ipfs-cluster
#    container_name: ipfs-cluster
#    restart: always
#    entrypoint:
#      - ./ipfs-cluster-service
#      - daemon
#    volumes:
#      - ./ipfs-cluster/cluster:/home/node/.ipfs-cluster
#    expose:
#      - 9094
#      - 9095
#      - 9096
#    networks:
#      mynet:
#        ipv4_address: 172.5.0.102
        
#  jsipfs:
#    build: ./jsipfs
#    hostname: jsipfs
#    container_name: jsipfs
#    restart: always
#    entrypoint:
#      - jsipfs
#      - daemon
#    volumes:
#      - ./jsipfs/jsipfs:/home/node/.jsipfs
#    expose:
#      - 4002
#      - 4003
#      - 5001
#      - 9090
#    networks:
#      mynet:
#        ipv4_address: 172.5.0.103

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.5.0.0/24

